Trades

Get Trade Details

GET
/trades/{tradeId}

Authorization

appToken read
AuthorizationBearer <token>

App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.

In: header

Scope: read

Path Parameters

tradeId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/trades/string"
{  "tradeId": "string",  "tradeIdentifier": "string",  "tradeTime": "2019-08-24T14:15:22Z",  "paymentCount": 0,  "rewardAmounts": [    {      "amount": "string",      "currencyCode": "string",      "currencyPrecision": 0    }  ],  "payments": [    {      "paymentId": "string",      "paymentState": "string",      "paymentAmount": "string",      "paymentCurrencyCode": "string",      "paymentCurrencyPrecision": 0,      "paymentFormulaUnitPrecision": 0,      "paymentParentId": "string",      "paymentPreferencesGroupId": "string"    }  ],  "platformId": "32a6e381-64f4-4911-86b6-3bf681b64d23",  "platformName": "string",  "platformProvider": "string",  "platformGroupId": "string",  "platformGroupName": "string",  "profileId": "string",  "profileEmail": "string",  "profileUuid": "string",  "accountId": "string",  "accountNumber": "string",  "accountUuid": "string",  "accountType": 0,  "symbolId": "string",  "symbolPath": "string",  "symbolName": "string",  "symbolQuoteCurrencyCode": "string",  "volume": "string",  "usdTradingVolume": "string",  "price": "string",  "bid": "string",  "ask": "string",  "side": "unspecified",  "position": "unspecified",  "positionId": "string",  "positionLifetime": 0,  "profitAmount": "string",  "profitCurrencyCode": "string",  "pnlAmount": "string",  "pnlCurrencyCode": "string",  "swapAmount": "string",  "swapCurrencyCode": "string",  "commissionAmount": "string",  "commissionCurrencyCode": "string",  "contractSize": "string",  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z",  "referralsByDepth": "first_level",  "uuid": "string",  "reversal": true}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}